@import "../fonts/fonts";
@import "../colors/color";

.section-content {
    
    .header-menu_burger {
        @media screen and (max-width: 650px) {
            //width: 30px;
            //height: 4px;
            //background: #000;
            //border-radius: 2px;
            position: absolute;
            right: 25px;
            top: 30px;
            cursor: pointer;
            
            &::before,
            &::after {
                content: "";
                position: absolute;
                width: 30px;
                height: 4px;
                background-color: #000;
                border-radius: 2px;
                box-shadow: 0 2px 5px rgba(255,101,47,.2);
                transition: all .5s ease-in-out;
            }
            &::before {
                transform: translateY(-9px);
            }
            &::after {
                transform: translateY(5px);
            }
            &.active::before {
                transform: rotate(45deg);
            }
            &.active::after {
                transform: scale(0);
                transition: all .5s ease-in-out;
            }
            
            .header-menu_btn {
                right: 0;
                border-radius: 2px;
                width: 30px;
                height: 4px;
                background: #000;
                transition: all .5s ease-in-out;
                
                &.active {
                    transform: rotate(-45deg);
                    transition: all .5s ease-in-out;
                }
            }
        }
    }
    
    .menu_burger {
        display: none;
        
        &.active {
            display: block;
            transition: all .5s ease-in-out;
        }
        .menu_list {
            background: #F5F5F5;
            position: absolute;
            right: 25px;
            top: 48px;
            
            .menu_link{
                font-family: $fontFamily;
                font-style: normal;
                font-weight: 400;
                font-size: 11px;
                line-height: 2;
                align-items: center;
                letter-spacing: 1.1px;
                text-transform: uppercase;
                color: $main_color;
                padding: 4.5px 80px 2px 14px;
                
                &:active {
                    background: #E5E5E5;
                }
    
                a {
                    text-decoration: none;
                    color: $main_color;
                }
                .colored {
                    color: #57A4A4;
                }
            }
        }
    }
}
